"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.combineMappers = void 0;
const x_deep_merge_1 = require("@empathyco/x-deep-merge");
/**
 * Combines the given {@link Mapper | mappers} into a single {@link Mapper | mapper function}.
 *
 * @param mappers - The {@link Mapper | mapper functions} to combine.
 * @returns The combined {@link Mapper | mapper function}.
 *
 * @public
 */
function combineMappers(...mappers) {
    return (from, context) => mappers.reduce((value, mapper) => {
        const mappedValue = mapper(from, context);
        context.mappedValue = (0, x_deep_merge_1.deepMerge)(value, mappedValue);
        return value;
    }, {});
}
exports.combineMappers = combineMappers;
//# sourceMappingURL=combine-mappers.js.map