/// <reference types="jest" />
export declare const okFetchMock: jest.Mock<Promise<Response>, [url: string, params: RequestInit]>;
export declare const koFetchMock: jest.Mock<Promise<{
    ok: boolean;
    json: () => Promise<{}>;
    status: number;
    statusText: string;
}>, []>;
/**
 * The `fetchMock()` method mocks a `fetch` API call.
 *
 * @param response - The expected response resolved by calling `fetch()`.
 * @returns A Promise object.
 *
 * @internal
 */
export declare function fetchMock(response: unknown): (url: string, params: RequestInit) => Promise<Response>;
