import { DeepPartial } from '@empathyco/x-utils';
import { Mapper } from './types';
/**
 * Combines the given {@link Mapper | mappers} into a single {@link Mapper | mapper function}.
 *
 * @param mappers - The {@link Mapper | mapper functions} to combine.
 * @returns The combined {@link Mapper | mapper function}.
 *
 * @public
 */
export declare function combineMappers<From, To>(...mappers: Mapper<From, DeepPartial<To>>[]): Mapper<From, To>;
