import { MutableSchema, Schema } from '../schemas/types';
import { Mapper } from './types';
/**
 * The 'schemaMapperFactory' function creates a {@link Mapper | mapper function} for a given
 * {@link Schema | schema}.
 *
 * @param schema - The {@link Schema | schema} to apply in the {@link Mapper | mapper function}.
 * @returns A {@link Mapper | mapper function} that applies the given {@link Schema | schema}.
 * @public
 */
export declare function schemaMapperFactory<Source, Target>(schema: Schema<Source, Target> | MutableSchema<Source, Target>): Mapper<Source, Target>;
